---
# file: filebeat/tasks/main.yml
#
# filebeat role task file
#

- name: Add Elastic repository key
  apt_key: url="https://artifacts.elastic.co/GPG-KEY-elasticsearch" state=present

- name: Add Elastic repository
  apt_repository: repo="deb https://artifacts.elastic.co/packages/6.x/apt stable main" state=present

- name: Ensure Filebeat is installed
  apt: name=filebeat=6.0.0 state=present
  register: filebeat_installed

# If filebeat was installed, the config has to be updated and the server restarted.
- block:

  - name: Ensure FileBeat is stopped
    systemd:
      state: stopped
      name: filebeat.service

  - name: Copy FileBeat configuration
    copy:
      src: "{{ role_path }}/files/{{ filebeat_config }}"
      dest: /etc/filebeat/filebeat.yml
    when: filebeat_config is defined

  when: filebeat_installed|changed == True

- name: Ensure Filebeat is running
  systemd:
    state: started
    enabled: yes
    name: filebeat.service